"Fossies" - the Fresh Open Source Software Archive

Member "squidview-0.86/Makefile.in" (1 Feb 2017, 28559 Bytes) of package /linux/privat/squidview-0.86.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the last Fossies "Diffs" side-by-side code changes report for "Makefile.in": 0.81_vs_0.82.

    1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 
   18 VPATH = @srcdir@
   19 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
   20 am__make_running_with_option = \
   21   case $${target_option-} in \
   22       ?) ;; \
   23       *) echo "am__make_running_with_option: internal error: invalid" \
   24               "target option '$${target_option-}' specified" >&2; \
   25          exit 1;; \
   26   esac; \
   27   has_opt=no; \
   28   sane_makeflags=$$MAKEFLAGS; \
   29   if $(am__is_gnu_make); then \
   30     sane_makeflags=$$MFLAGS; \
   31   else \
   32     case $$MAKEFLAGS in \
   33       *\\[\ \	]*) \
   34         bs=\\; \
   35         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   36           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   37     esac; \
   38   fi; \
   39   skip_next=no; \
   40   strip_trailopt () \
   41   { \
   42     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   43   }; \
   44   for flg in $$sane_makeflags; do \
   45     test $$skip_next = yes && { skip_next=no; continue; }; \
   46     case $$flg in \
   47       *=*|--*) continue;; \
   48         -*I) strip_trailopt 'I'; skip_next=yes;; \
   49       -*I?*) strip_trailopt 'I';; \
   50         -*O) strip_trailopt 'O'; skip_next=yes;; \
   51       -*O?*) strip_trailopt 'O';; \
   52         -*l) strip_trailopt 'l'; skip_next=yes;; \
   53       -*l?*) strip_trailopt 'l';; \
   54       -[dEDm]) skip_next=yes;; \
   55       -[JT]) skip_next=yes;; \
   56     esac; \
   57     case $$flg in \
   58       *$$target_option*) has_opt=yes; break;; \
   59     esac; \
   60   done; \
   61   test $$has_opt = yes
   62 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   63 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   64 pkgdatadir = $(datadir)/@PACKAGE@
   65 pkgincludedir = $(includedir)/@PACKAGE@
   66 pkglibdir = $(libdir)/@PACKAGE@
   67 pkglibexecdir = $(libexecdir)/@PACKAGE@
   68 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   69 install_sh_DATA = $(install_sh) -c -m 644
   70 install_sh_PROGRAM = $(install_sh) -c
   71 install_sh_SCRIPT = $(install_sh) -c
   72 INSTALL_HEADER = $(INSTALL_DATA)
   73 transform = $(program_transform_name)
   74 NORMAL_INSTALL = :
   75 PRE_INSTALL = :
   76 POST_INSTALL = :
   77 NORMAL_UNINSTALL = :
   78 PRE_UNINSTALL = :
   79 POST_UNINSTALL = :
   80 bin_PROGRAMS = squidview$(EXEEXT)
   81 subdir = .
   82 DIST_COMMON = INSTALL NEWS README AUTHORS ChangeLog \
   83 	$(srcdir)/Makefile.in $(srcdir)/Makefile.am \
   84 	$(top_srcdir)/configure $(am__configure_deps) \
   85 	$(srcdir)/config.h.in depcomp COPYING compile install-sh \
   86 	missing
   87 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   88 am__aclocal_m4_deps = $(top_srcdir)/configure.in
   89 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   90 	$(ACLOCAL_M4)
   91 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   92  configure.lineno config.status.lineno
   93 mkinstalldirs = $(install_sh) -d
   94 CONFIG_HEADER = config.h
   95 CONFIG_CLEAN_FILES =
   96 CONFIG_CLEAN_VPATH_FILES =
   97 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" \
   98 	"$(DESTDIR)$(pkgdatadir)"
   99 PROGRAMS = $(bin_PROGRAMS)
  100 am_squidview_OBJECTS = squidview.$(OBJEXT)
  101 squidview_OBJECTS = $(am_squidview_OBJECTS)
  102 squidview_LDADD = $(LDADD)
  103 AM_V_P = $(am__v_P_@AM_V@)
  104 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  105 am__v_P_0 = false
  106 am__v_P_1 = :
  107 AM_V_GEN = $(am__v_GEN_@AM_V@)
  108 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  109 am__v_GEN_0 = @echo "  GEN     " $@;
  110 am__v_GEN_1 = 
  111 AM_V_at = $(am__v_at_@AM_V@)
  112 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  113 am__v_at_0 = @
  114 am__v_at_1 = 
  115 DEFAULT_INCLUDES = -I.@am__isrc@
  116 depcomp = $(SHELL) $(top_srcdir)/depcomp
  117 am__depfiles_maybe = depfiles
  118 am__mv = mv -f
  119 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
  120 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
  121 AM_V_CXX = $(am__v_CXX_@AM_V@)
  122 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
  123 am__v_CXX_0 = @echo "  CXX     " $@;
  124 am__v_CXX_1 = 
  125 CXXLD = $(CXX)
  126 CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
  127 	-o $@
  128 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
  129 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
  130 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
  131 am__v_CXXLD_1 = 
  132 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  133 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  134 AM_V_CC = $(am__v_CC_@AM_V@)
  135 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  136 am__v_CC_0 = @echo "  CC      " $@;
  137 am__v_CC_1 = 
  138 CCLD = $(CC)
  139 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  140 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  141 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  142 am__v_CCLD_0 = @echo "  CCLD    " $@;
  143 am__v_CCLD_1 = 
  144 SOURCES = $(squidview_SOURCES)
  145 DIST_SOURCES = $(squidview_SOURCES)
  146 am__can_run_installinfo = \
  147   case $$AM_UPDATE_INFO_DIR in \
  148     n|no|NO) false;; \
  149     *) (install-info --version) >/dev/null 2>&1;; \
  150   esac
  151 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  152 am__vpath_adj = case $$p in \
  153     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  154     *) f=$$p;; \
  155   esac;
  156 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  157 am__install_max = 40
  158 am__nobase_strip_setup = \
  159   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  160 am__nobase_strip = \
  161   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  162 am__nobase_list = $(am__nobase_strip_setup); \
  163   for p in $$list; do echo "$$p $$p"; done | \
  164   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  165   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  166     if (++n[$$2] == $(am__install_max)) \
  167       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  168     END { for (dir in files) print dir, files[dir] }'
  169 am__base_list = \
  170   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  171   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  172 am__uninstall_files_from_dir = { \
  173   test -z "$$files" \
  174     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  175     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  176          $(am__cd) "$$dir" && rm -f $$files; }; \
  177   }
  178 man1dir = $(mandir)/man1
  179 NROFF = nroff
  180 MANS = $(man_MANS)
  181 DATA = $(pkgdata_DATA)
  182 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
  183 	$(LISP)config.h.in
  184 # Read a list of newline-separated strings from the standard input,
  185 # and print each of them once, without duplicates.  Input order is
  186 # *not* preserved.
  187 am__uniquify_input = $(AWK) '\
  188   BEGIN { nonempty = 0; } \
  189   { items[$$0] = 1; nonempty = 1; } \
  190   END { if (nonempty) { for (i in items) print i; }; } \
  191 '
  192 # Make sure the list of sources is unique.  This is necessary because,
  193 # e.g., the same source file might be shared among _SOURCES variables
  194 # for different programs/libraries.
  195 am__define_uniq_tagged_files = \
  196   list='$(am__tagged_files)'; \
  197   unique=`for i in $$list; do \
  198     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  199   done | $(am__uniquify_input)`
  200 ETAGS = etags
  201 CTAGS = ctags
  202 CSCOPE = cscope
  203 AM_RECURSIVE_TARGETS = cscope
  204 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  205 distdir = $(PACKAGE)-$(VERSION)
  206 top_distdir = $(distdir)
  207 am__remove_distdir = \
  208   if test -d "$(distdir)"; then \
  209     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  210       && rm -rf "$(distdir)" \
  211       || { sleep 5 && rm -rf "$(distdir)"; }; \
  212   else :; fi
  213 am__post_remove_distdir = $(am__remove_distdir)
  214 DIST_ARCHIVES = $(distdir).tar.gz
  215 GZIP_ENV = --best
  216 DIST_TARGETS = dist-gzip
  217 distuninstallcheck_listfiles = find . -type f -print
  218 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  219   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  220 distcleancheck_listfiles = find . -type f -print
  221 ACLOCAL = @ACLOCAL@
  222 AMTAR = @AMTAR@
  223 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  224 AUTOCONF = @AUTOCONF@
  225 AUTOHEADER = @AUTOHEADER@
  226 AUTOMAKE = @AUTOMAKE@
  227 AWK = @AWK@
  228 CC = @CC@
  229 CCDEPMODE = @CCDEPMODE@
  230 CFLAGS = @CFLAGS@
  231 CPPFLAGS = @CPPFLAGS@
  232 CXX = @CXX@
  233 CXXCPP = @CXXCPP@
  234 CXXDEPMODE = @CXXDEPMODE@
  235 CXXFLAGS = @CXXFLAGS@
  236 CYGPATH_W = @CYGPATH_W@
  237 DEFS = @DEFS@
  238 DEPDIR = @DEPDIR@
  239 ECHO_C = @ECHO_C@
  240 ECHO_N = @ECHO_N@
  241 ECHO_T = @ECHO_T@
  242 EGREP = @EGREP@
  243 EXEEXT = @EXEEXT@
  244 GREP = @GREP@
  245 INSTALL = @INSTALL@
  246 INSTALL_DATA = @INSTALL_DATA@
  247 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  248 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  249 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  250 LDFLAGS = @LDFLAGS@
  251 LIBOBJS = @LIBOBJS@
  252 LIBS = @LIBS@
  253 LTLIBOBJS = @LTLIBOBJS@
  254 MAKEINFO = @MAKEINFO@
  255 MKDIR_P = @MKDIR_P@
  256 OBJEXT = @OBJEXT@
  257 PACKAGE = @PACKAGE@
  258 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  259 PACKAGE_NAME = @PACKAGE_NAME@
  260 PACKAGE_STRING = @PACKAGE_STRING@
  261 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  262 PACKAGE_URL = @PACKAGE_URL@
  263 PACKAGE_VERSION = @PACKAGE_VERSION@
  264 PATH_SEPARATOR = @PATH_SEPARATOR@
  265 SET_MAKE = @SET_MAKE@
  266 SHELL = @SHELL@
  267 STRIP = @STRIP@
  268 VERSION = @VERSION@
  269 abs_builddir = @abs_builddir@
  270 abs_srcdir = @abs_srcdir@
  271 abs_top_builddir = @abs_top_builddir@
  272 abs_top_srcdir = @abs_top_srcdir@
  273 ac_ct_CC = @ac_ct_CC@
  274 ac_ct_CXX = @ac_ct_CXX@
  275 am__include = @am__include@
  276 am__leading_dot = @am__leading_dot@
  277 am__quote = @am__quote@
  278 am__tar = @am__tar@
  279 am__untar = @am__untar@
  280 bindir = @bindir@
  281 build_alias = @build_alias@
  282 builddir = @builddir@
  283 datadir = @datadir@
  284 datarootdir = @datarootdir@
  285 docdir = @docdir@
  286 dvidir = @dvidir@
  287 exec_prefix = @exec_prefix@
  288 host_alias = @host_alias@
  289 htmldir = @htmldir@
  290 includedir = @includedir@
  291 infodir = @infodir@
  292 install_sh = @install_sh@
  293 libdir = @libdir@
  294 libexecdir = @libexecdir@
  295 localedir = @localedir@
  296 localstatedir = @localstatedir@
  297 mandir = @mandir@
  298 mkdir_p = @mkdir_p@
  299 oldincludedir = @oldincludedir@
  300 pdfdir = @pdfdir@
  301 prefix = @prefix@
  302 program_transform_name = @program_transform_name@
  303 psdir = @psdir@
  304 sbindir = @sbindir@
  305 sharedstatedir = @sharedstatedir@
  306 srcdir = @srcdir@
  307 sysconfdir = @sysconfdir@
  308 target_alias = @target_alias@
  309 top_build_prefix = @top_build_prefix@
  310 top_builddir = @top_builddir@
  311 top_srcdir = @top_srcdir@
  312 AUTOMAKE_OPTIONS = gnu
  313 AM_CPPFLAGS = -DSHAREDIR='"$(datadir)/$(PACKAGE)"'
  314 squidview_SOURCES = squidview.cpp squidview.h
  315 pkgdata_DATA = HOWTO BUGS users words aliases example.log
  316 man_MANS = squidview.1
  317 EXTRA_DIST = Makefile.old HOWTO BUGS $(man_MANS) users words aliases example.log
  318 all: config.h
  319 	$(MAKE) $(AM_MAKEFLAGS) all-am
  320 
  321 .SUFFIXES:
  322 .SUFFIXES: .cpp .o .obj
  323 am--refresh: Makefile
  324 	@:
  325 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  326 	@for dep in $?; do \
  327 	  case '$(am__configure_deps)' in \
  328 	    *$$dep*) \
  329 	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  330 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  331 		&& exit 0; \
  332 	      exit 1;; \
  333 	  esac; \
  334 	done; \
  335 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  336 	$(am__cd) $(top_srcdir) && \
  337 	  $(AUTOMAKE) --gnu Makefile
  338 .PRECIOUS: Makefile
  339 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  340 	@case '$?' in \
  341 	  *config.status*) \
  342 	    echo ' $(SHELL) ./config.status'; \
  343 	    $(SHELL) ./config.status;; \
  344 	  *) \
  345 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  346 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  347 	esac;
  348 
  349 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  350 	$(SHELL) ./config.status --recheck
  351 
  352 $(top_srcdir)/configure:  $(am__configure_deps)
  353 	$(am__cd) $(srcdir) && $(AUTOCONF)
  354 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  355 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  356 $(am__aclocal_m4_deps):
  357 
  358 config.h: stamp-h1
  359 	@test -f $@ || rm -f stamp-h1
  360 	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  361 
  362 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  363 	@rm -f stamp-h1
  364 	cd $(top_builddir) && $(SHELL) ./config.status config.h
  365 $(srcdir)/config.h.in:  $(am__configure_deps) 
  366 	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  367 	rm -f stamp-h1
  368 	touch $@
  369 
  370 distclean-hdr:
  371 	-rm -f config.h stamp-h1
  372 install-binPROGRAMS: $(bin_PROGRAMS)
  373 	@$(NORMAL_INSTALL)
  374 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  375 	if test -n "$$list"; then \
  376 	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
  377 	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
  378 	fi; \
  379 	for p in $$list; do echo "$$p $$p"; done | \
  380 	sed 's/$(EXEEXT)$$//' | \
  381 	while read p p1; do if test -f $$p \
  382 	  ; then echo "$$p"; echo "$$p"; else :; fi; \
  383 	done | \
  384 	sed -e 'p;s,.*/,,;n;h' \
  385 	    -e 's|.*|.|' \
  386 	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  387 	sed 'N;N;N;s,\n, ,g' | \
  388 	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  389 	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  390 	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
  391 	    else { print "f", $$3 "/" $$4, $$1; } } \
  392 	  END { for (d in files) print "f", d, files[d] }' | \
  393 	while read type dir files; do \
  394 	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  395 	    test -z "$$files" || { \
  396 	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
  397 	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
  398 	    } \
  399 	; done
  400 
  401 uninstall-binPROGRAMS:
  402 	@$(NORMAL_UNINSTALL)
  403 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  404 	files=`for p in $$list; do echo "$$p"; done | \
  405 	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  406 	      -e 's/$$/$(EXEEXT)/' \
  407 	`; \
  408 	test -n "$$list" || exit 0; \
  409 	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
  410 	cd "$(DESTDIR)$(bindir)" && rm -f $$files
  411 
  412 clean-binPROGRAMS:
  413 	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
  414 
  415 squidview$(EXEEXT): $(squidview_OBJECTS) $(squidview_DEPENDENCIES) $(EXTRA_squidview_DEPENDENCIES) 
  416 	@rm -f squidview$(EXEEXT)
  417 	$(AM_V_CXXLD)$(CXXLINK) $(squidview_OBJECTS) $(squidview_LDADD) $(LIBS)
  418 
  419 mostlyclean-compile:
  420 	-rm -f *.$(OBJEXT)
  421 
  422 distclean-compile:
  423 	-rm -f *.tab.c
  424 
  425 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/squidview.Po@am__quote@
  426 
  427 .cpp.o:
  428 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  429 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  430 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  431 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  432 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
  433 
  434 .cpp.obj:
  435 @am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  436 @am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  437 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  438 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  439 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  440 install-man1: $(man_MANS)
  441 	@$(NORMAL_INSTALL)
  442 	@list1=''; \
  443 	list2='$(man_MANS)'; \
  444 	test -n "$(man1dir)" \
  445 	  && test -n "`echo $$list1$$list2`" \
  446 	  || exit 0; \
  447 	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
  448 	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
  449 	{ for i in $$list1; do echo "$$i"; done;  \
  450 	if test -n "$$list2"; then \
  451 	  for i in $$list2; do echo "$$i"; done \
  452 	    | sed -n '/\.1[a-z]*$$/p'; \
  453 	fi; \
  454 	} | while read p; do \
  455 	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  456 	  echo "$$d$$p"; echo "$$p"; \
  457 	done | \
  458 	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  459 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  460 	sed 'N;N;s,\n, ,g' | { \
  461 	list=; while read file base inst; do \
  462 	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  463 	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
  464 	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
  465 	  fi; \
  466 	done; \
  467 	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  468 	while read files; do \
  469 	  test -z "$$files" || { \
  470 	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
  471 	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
  472 	done; }
  473 
  474 uninstall-man1:
  475 	@$(NORMAL_UNINSTALL)
  476 	@list=''; test -n "$(man1dir)" || exit 0; \
  477 	files=`{ for i in $$list; do echo "$$i"; done; \
  478 	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  479 	  sed -n '/\.1[a-z]*$$/p'; \
  480 	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  481 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  482 	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
  483 install-pkgdataDATA: $(pkgdata_DATA)
  484 	@$(NORMAL_INSTALL)
  485 	@list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
  486 	if test -n "$$list"; then \
  487 	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgdatadir)'"; \
  488 	  $(MKDIR_P) "$(DESTDIR)$(pkgdatadir)" || exit 1; \
  489 	fi; \
  490 	for p in $$list; do \
  491 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  492 	  echo "$$d$$p"; \
  493 	done | $(am__base_list) | \
  494 	while read files; do \
  495 	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgdatadir)'"; \
  496 	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgdatadir)" || exit $$?; \
  497 	done
  498 
  499 uninstall-pkgdataDATA:
  500 	@$(NORMAL_UNINSTALL)
  501 	@list='$(pkgdata_DATA)'; test -n "$(pkgdatadir)" || list=; \
  502 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  503 	dir='$(DESTDIR)$(pkgdatadir)'; $(am__uninstall_files_from_dir)
  504 
  505 ID: $(am__tagged_files)
  506 	$(am__define_uniq_tagged_files); mkid -fID $$unique
  507 tags: tags-am
  508 TAGS: tags
  509 
  510 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  511 	set x; \
  512 	here=`pwd`; \
  513 	$(am__define_uniq_tagged_files); \
  514 	shift; \
  515 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  516 	  test -n "$$unique" || unique=$$empty_fix; \
  517 	  if test $$# -gt 0; then \
  518 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  519 	      "$$@" $$unique; \
  520 	  else \
  521 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  522 	      $$unique; \
  523 	  fi; \
  524 	fi
  525 ctags: ctags-am
  526 
  527 CTAGS: ctags
  528 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  529 	$(am__define_uniq_tagged_files); \
  530 	test -z "$(CTAGS_ARGS)$$unique" \
  531 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  532 	     $$unique
  533 
  534 GTAGS:
  535 	here=`$(am__cd) $(top_builddir) && pwd` \
  536 	  && $(am__cd) $(top_srcdir) \
  537 	  && gtags -i $(GTAGS_ARGS) "$$here"
  538 cscope: cscope.files
  539 	test ! -s cscope.files \
  540 	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  541 clean-cscope:
  542 	-rm -f cscope.files
  543 cscope.files: clean-cscope cscopelist
  544 cscopelist: cscopelist-am
  545 
  546 cscopelist-am: $(am__tagged_files)
  547 	list='$(am__tagged_files)'; \
  548 	case "$(srcdir)" in \
  549 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  550 	  *) sdir=$(subdir)/$(srcdir) ;; \
  551 	esac; \
  552 	for i in $$list; do \
  553 	  if test -f "$$i"; then \
  554 	    echo "$(subdir)/$$i"; \
  555 	  else \
  556 	    echo "$$sdir/$$i"; \
  557 	  fi; \
  558 	done >> $(top_builddir)/cscope.files
  559 
  560 distclean-tags:
  561 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  562 	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  563 
  564 distdir: $(DISTFILES)
  565 	$(am__remove_distdir)
  566 	test -d "$(distdir)" || mkdir "$(distdir)"
  567 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  568 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  569 	list='$(DISTFILES)'; \
  570 	  dist_files=`for file in $$list; do echo $$file; done | \
  571 	  sed -e "s|^$$srcdirstrip/||;t" \
  572 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  573 	case $$dist_files in \
  574 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  575 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  576 			   sort -u` ;; \
  577 	esac; \
  578 	for file in $$dist_files; do \
  579 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  580 	  if test -d $$d/$$file; then \
  581 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  582 	    if test -d "$(distdir)/$$file"; then \
  583 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  584 	    fi; \
  585 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  586 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  587 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  588 	    fi; \
  589 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  590 	  else \
  591 	    test -f "$(distdir)/$$file" \
  592 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  593 	    || exit 1; \
  594 	  fi; \
  595 	done
  596 	-test -n "$(am__skip_mode_fix)" \
  597 	|| find "$(distdir)" -type d ! -perm -755 \
  598 		-exec chmod u+rwx,go+rx {} \; -o \
  599 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  600 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  601 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  602 	|| chmod -R a+r "$(distdir)"
  603 dist-gzip: distdir
  604 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  605 	$(am__post_remove_distdir)
  606 
  607 dist-bzip2: distdir
  608 	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  609 	$(am__post_remove_distdir)
  610 
  611 dist-lzip: distdir
  612 	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  613 	$(am__post_remove_distdir)
  614 
  615 dist-xz: distdir
  616 	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  617 	$(am__post_remove_distdir)
  618 
  619 dist-tarZ: distdir
  620 	@echo WARNING: "Support for shar distribution archives is" \
  621 	               "deprecated." >&2
  622 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  623 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  624 	$(am__post_remove_distdir)
  625 
  626 dist-shar: distdir
  627 	@echo WARNING: "Support for distribution archives compressed with" \
  628 		       "legacy program 'compress' is deprecated." >&2
  629 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  630 	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  631 	$(am__post_remove_distdir)
  632 
  633 dist-zip: distdir
  634 	-rm -f $(distdir).zip
  635 	zip -rq $(distdir).zip $(distdir)
  636 	$(am__post_remove_distdir)
  637 
  638 dist dist-all:
  639 	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  640 	$(am__post_remove_distdir)
  641 
  642 # This target untars the dist file and tries a VPATH configuration.  Then
  643 # it guarantees that the distribution is self-contained by making another
  644 # tarfile.
  645 distcheck: dist
  646 	case '$(DIST_ARCHIVES)' in \
  647 	*.tar.gz*) \
  648 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  649 	*.tar.bz2*) \
  650 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  651 	*.tar.lz*) \
  652 	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  653 	*.tar.xz*) \
  654 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  655 	*.tar.Z*) \
  656 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  657 	*.shar.gz*) \
  658 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  659 	*.zip*) \
  660 	  unzip $(distdir).zip ;;\
  661 	esac
  662 	chmod -R a-w $(distdir)
  663 	chmod u+w $(distdir)
  664 	mkdir $(distdir)/_build $(distdir)/_inst
  665 	chmod a-w $(distdir)
  666 	test -d $(distdir)/_build || exit 0; \
  667 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  668 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  669 	  && am__cwd=`pwd` \
  670 	  && $(am__cd) $(distdir)/_build \
  671 	  && ../configure \
  672 	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  673 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  674 	    --srcdir=.. --prefix="$$dc_install_base" \
  675 	  && $(MAKE) $(AM_MAKEFLAGS) \
  676 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
  677 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  678 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  679 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  680 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  681 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  682 	        distuninstallcheck \
  683 	  && chmod -R a-w "$$dc_install_base" \
  684 	  && ({ \
  685 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  686 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  687 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  688 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  689 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  690 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  691 	  && rm -rf "$$dc_destdir" \
  692 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  693 	  && rm -rf $(DIST_ARCHIVES) \
  694 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  695 	  && cd "$$am__cwd" \
  696 	  || exit 1
  697 	$(am__post_remove_distdir)
  698 	@(echo "$(distdir) archives ready for distribution: "; \
  699 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  700 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  701 distuninstallcheck:
  702 	@test -n '$(distuninstallcheck_dir)' || { \
  703 	  echo 'ERROR: trying to run $@ with an empty' \
  704 	       '$$(distuninstallcheck_dir)' >&2; \
  705 	  exit 1; \
  706 	}; \
  707 	$(am__cd) '$(distuninstallcheck_dir)' || { \
  708 	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  709 	  exit 1; \
  710 	}; \
  711 	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  712 	   || { echo "ERROR: files left after uninstall:" ; \
  713 	        if test -n "$(DESTDIR)"; then \
  714 	          echo "  (check DESTDIR support)"; \
  715 	        fi ; \
  716 	        $(distuninstallcheck_listfiles) ; \
  717 	        exit 1; } >&2
  718 distcleancheck: distclean
  719 	@if test '$(srcdir)' = . ; then \
  720 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  721 	  exit 1 ; \
  722 	fi
  723 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  724 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  725 	       $(distcleancheck_listfiles) ; \
  726 	       exit 1; } >&2
  727 check-am: all-am
  728 check: check-am
  729 all-am: Makefile $(PROGRAMS) $(MANS) $(DATA) config.h
  730 installdirs:
  731 	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(pkgdatadir)"; do \
  732 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  733 	done
  734 install: install-am
  735 install-exec: install-exec-am
  736 install-data: install-data-am
  737 uninstall: uninstall-am
  738 
  739 install-am: all-am
  740 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  741 
  742 installcheck: installcheck-am
  743 install-strip:
  744 	if test -z '$(STRIP)'; then \
  745 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  746 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  747 	      install; \
  748 	else \
  749 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  750 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  751 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  752 	fi
  753 mostlyclean-generic:
  754 
  755 clean-generic:
  756 
  757 distclean-generic:
  758 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  759 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  760 
  761 maintainer-clean-generic:
  762 	@echo "This command is intended for maintainers to use"
  763 	@echo "it deletes files that may require special tools to rebuild."
  764 clean: clean-am
  765 
  766 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
  767 
  768 distclean: distclean-am
  769 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  770 	-rm -rf ./$(DEPDIR)
  771 	-rm -f Makefile
  772 distclean-am: clean-am distclean-compile distclean-generic \
  773 	distclean-hdr distclean-tags
  774 
  775 dvi: dvi-am
  776 
  777 dvi-am:
  778 
  779 html: html-am
  780 
  781 html-am:
  782 
  783 info: info-am
  784 
  785 info-am:
  786 
  787 install-data-am: install-man install-pkgdataDATA
  788 
  789 install-dvi: install-dvi-am
  790 
  791 install-dvi-am:
  792 
  793 install-exec-am: install-binPROGRAMS
  794 
  795 install-html: install-html-am
  796 
  797 install-html-am:
  798 
  799 install-info: install-info-am
  800 
  801 install-info-am:
  802 
  803 install-man: install-man1
  804 
  805 install-pdf: install-pdf-am
  806 
  807 install-pdf-am:
  808 
  809 install-ps: install-ps-am
  810 
  811 install-ps-am:
  812 
  813 installcheck-am:
  814 
  815 maintainer-clean: maintainer-clean-am
  816 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  817 	-rm -rf $(top_srcdir)/autom4te.cache
  818 	-rm -rf ./$(DEPDIR)
  819 	-rm -f Makefile
  820 maintainer-clean-am: distclean-am maintainer-clean-generic
  821 
  822 mostlyclean: mostlyclean-am
  823 
  824 mostlyclean-am: mostlyclean-compile mostlyclean-generic
  825 
  826 pdf: pdf-am
  827 
  828 pdf-am:
  829 
  830 ps: ps-am
  831 
  832 ps-am:
  833 
  834 uninstall-am: uninstall-binPROGRAMS uninstall-man \
  835 	uninstall-pkgdataDATA
  836 
  837 uninstall-man: uninstall-man1
  838 
  839 .MAKE: all install-am install-strip
  840 
  841 .PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
  842 	clean-binPROGRAMS clean-cscope clean-generic cscope \
  843 	cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  844 	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  845 	distcheck distclean distclean-compile distclean-generic \
  846 	distclean-hdr distclean-tags distcleancheck distdir \
  847 	distuninstallcheck dvi dvi-am html html-am info info-am \
  848 	install install-am install-binPROGRAMS install-data \
  849 	install-data-am install-dvi install-dvi-am install-exec \
  850 	install-exec-am install-html install-html-am install-info \
  851 	install-info-am install-man install-man1 install-pdf \
  852 	install-pdf-am install-pkgdataDATA install-ps install-ps-am \
  853 	install-strip installcheck installcheck-am installdirs \
  854 	maintainer-clean maintainer-clean-generic mostlyclean \
  855 	mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
  856 	tags tags-am uninstall uninstall-am uninstall-binPROGRAMS \
  857 	uninstall-man uninstall-man1 uninstall-pkgdataDATA
  858 
  859 
  860 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  861 # Otherwise a system limit (for SysV at least) may be exceeded.
  862 .NOEXPORT: